Bug 754736 - muParser breaks the upgrade path
Summary: muParser breaks the upgrade path
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: muParser
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Deutsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-17 15:37 UTC by Nicola Soranzo
Modified: 2011-12-06 00:59 UTC (History)
2 users (show)

Fixed In Version: muParser-1.34-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 00:59:58 UTC
Type: ---


Attachments (Terms of Use)

Description Nicola Soranzo 2011-11-17 15:37:46 UTC
Description of problem:
The latest version of muParser for Fedora 15 is muParser-1.34-1.fc15 , while the latest one for Fedora 16 is only muParser-1.32-2.fc15 . This breaks the upgrade path, described at 

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Versioning

Please release a newer version of muParser for Fedora 16.

Version-Release number of selected component (if applicable):
muParser-1.32-2.fc15

How reproducible:
Always

Steps to Reproduce:
1. Upgrade from an updated Fedora 15 to Fedora 16
2. package-cleanup --orphans

Comment 1 Fedora Update System 2011-11-17 21:14:58 UTC
muParser-1.32-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/muParser-1.32-2.fc16

Comment 2 Nicola Soranzo 2011-11-18 10:11:25 UTC
Fabian, you need to update to at least muParser-1.34-1.fc16 !

Comment 3 Fabian Deutsch 2011-11-18 11:30:41 UTC
Yes - I wasn't fully concious.

Comment 4 Fedora Update System 2011-11-18 16:39:22 UTC
muParser-1.34-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/muParser-1.34-2.fc16

Comment 5 Fedora Update System 2011-11-19 06:04:30 UTC
Package muParser-1.34-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing muParser-1.34-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16127/muParser-1.34-2.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-12-06 00:59:58 UTC
muParser-1.34-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.